Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.farafin.snEADy.inOut
Interface I_LevelLoader_interface

All Known Implementing Classes:
  C_LevelLoader

    public interface I_LevelLoader_interface

interface for the levelLoader.. maybe we reallie it in different ways

Version:
  $Revision: 1.6 $
Author:
  roland

Method Summary
`D_Level` | `loadLevel(java.lang.String levName)` its almost the same funktion, with the root directory of "levels".
`D_Level` | `loadLevel(java.lang.String root, java.lang.String levName)` Loads a level file into a D_Level object
`D_Level` | `loadLevelHeader(java.lang.String levName)` Loads only the header of the File into a D_Level objecrt.
`D_Level` | `loadLevelHeader(java.lang.String root, java.lang.String levName)` Loads only the header of the File into a D_Level objecrt.

Method Detail

### loadLevel

    D_Level loadLevel(java.lang.String root,
                      java.lang.String levName)
                      throws E_LevelFileException,
                             java.io.FileNotFoundException

  Loads a level file into a D_Level object

  Parameters:
    `root` - the root-path of the levelFolder. Its only possible to point to folders which are subfolders of the gake-folder
    `levName` - the name of the level that should be loaded. Its the name of the file, the level may have an different name.
  Returns:
    the loaded level see here for file specifications: @see D_ModuleCom.D_File_Level
  Throws:
    `E_LevelFileException` - if the file was found, but in a wrong format
    `java.io.FileNotFoundException` - if the file was not found

### loadLevel

    D_Level loadLevel(java.lang.String levName)
                      throws E_LevelFileException,
                             java.io.FileNotFoundException

  its almost the same funktion, with the root directory of "levels".

  Parameters:
    `levName` - levName the name of the level that should be loaded. Its the name of the file, the level may have an different name.
  Returns:
    the loaded level see here for file specifications: @see D_ModuleCom.D_File_Level
  Throws:
    `E_LevelFileException` - if the file was found, but in a wrong format
    `java.io.FileNotFoundException` - if the file was not found
  See Also:
    `loadLevel(String, String)`

### loadLevelHeader

    D_Level loadLevelHeader(java.lang.String root,
                            java.lang.String levName)
                            throws E_LevelFileException,
                                   java.io.FileNotFoundException

  Loads only the header of the File into a D_Level objecrt. The playfield is ignored.

  Parameters:
    `root` -
    `levName` -
  Returns:
    returns everything but the playfield in a level data object
  Throws:
    `E_LevelFileException`
    `java.io.FileNotFoundException`

### loadLevelHeader

    D_Level loadLevelHeader(java.lang.String levName)
                            throws E_LevelFileException,
                                   java.io.FileNotFoundException

  Loads only the header of the File into a D_Level objecrt. The playfield is ignored. its almost the same funktion, with the root directory of "levels".

  Parameters:
    `levName` - levName the name of the level that should be loaded. Its the name of the file, the level may have an different name.
  Returns:
    the loaded level see here for file specifications: @see D_ModuleCom.D_File_Level
  Throws:
    `E_LevelFileException` - if the file was found, but in a wrong format
    `java.io.FileNotFoundException` - if the file was not found
  See Also:
    `loadLevelHeader(String, String)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD